petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetColumnNorms

Gets the norms of each column of a sparse or dense matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnNorms(Mat A,NormType type,PetscReal norms[])

### Input Parameter

| A | - the matrix Many br
| type | - NORM_2, NORM_1 or NORM_INFINITY Many br

### Output Parameter

norms -an array as large as the TOTAL number of columns in the matrix Many br

Many br

Notes: Each process has ALL the column norms after the call. Because of the way this is computed each process gets all the values, Many brif each process wants only some of the values it should extract the ones it wants from the array. Many br

### See Also

MatGetColumns()

Level:intermediate
Location:src/mat/utils/getcolv.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex10.c.html